//
//  $Id$
//
// Copyright (c) 2003 Daniel J. Gregor, Jr.
// All rights reserved.
// 
// Redistribution and use in source and binary forms, with or without
// modification, are permitted provided that the following conditions
// are met:
// 
//    - Redistributions of source code must retain the above copyright
//      notice, this list of conditions and the following disclaimer.
//    - Redistributions in binary form must reproduce the above
//      copyright notice, this list of conditions and the following
//      disclaimer in the documentation and/or other materials provided
//      with the distribution.
// 
// THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDER AND CONTRIBUTORS
// "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
// LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
// FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE
// COPYRIGHT HOLDERS OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
// INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
// BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
// LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
// CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
// LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
// ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
// POSSIBILITY OF SUCH DAMAGE.
//

package com.gregor.mailping;

public class SMTPResponse {
	public int code;
	public String response[];

	public SMTPResponse() {
	}

	public SMTPResponse(int code, String[] response) {
		this.code = code;
		this.response = response;
	}

	public String toString() {
		StringBuffer sb = new StringBuffer();
		int i;
		int l;

		// XXX there must be a better way to do this!
		l = java.lang.reflect.Array.getLength(response);

		sb.append(code);

		if (l > 1) {
			sb.append("-");
		}
		if (l > 0) {
			sb.append(" " + response[0]);
		}

		for (i = 1; i < l; i++) {
			sb.append("\n" + code + (i < (l - 1) ? "- " : " ") +
			    response[i]);
		}

		return sb.toString();
	}

	public boolean success() {
		if (code >= 200 && code < 300) {
			return true;
		} else {
			return false;
		}
	}

	public boolean code3xx() {
		if (code >= 300 && code < 400) {
			return true;
		} else {
			return false;
		}
	}
}
